<mat-drawer-container class="sidenav-container">
  <mat-drawer
    #drawer
    class="sidenav"
    fixedInViewport="true"
    [mode]="(isHandset$ | async) ? 'over' : 'side'"
    [disableClose]="!(isHandset$ | async)"
    [opened]="!(isHandset$ | async)">
    <mat-toolbar color="primary">Dashboard</mat-toolbar>
    <ng-container *ngIf="loggedIn">
      <mat-accordion>
        <mat-expansion-panel class="mat-elevation-z0">
          <mat-expansion-panel-header>
            <mat-panel-title>Menu</mat-panel-title>
          </mat-expansion-panel-header>
          <mat-nav-list>
            <a mat-list-item routerLink="/home">Model</a>
            <a mat-list-item routerLink="/home">Settings</a>
          </mat-nav-list>
        </mat-expansion-panel>
      </mat-accordion>
    </ng-container>
    <mat-accordion>
      <mat-expansion-panel class="mat-elevation-z0">
        <mat-expansion-panel-header>Account</mat-expansion-panel-header>
        <mat-nav-list>
          <a mat-list-item *ngIf="!loggedIn" (click)="logIn()">Login</a>
          <a mat-list-item *ngIf="loggedIn" (click)="logOut()">Logout</a>
        </mat-nav-list>
      </mat-expansion-panel>
    </mat-accordion>
  </mat-drawer>
  <mat-drawer-content>
    <mat-toolbar color="primary" fxLayout="row" fxLayoutAlign="space-between none">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <div class="flex-stretch"></div>
      <mat-icon class="mr-8">brightness_5</mat-icon>
      <mat-slide-toggle [formControl]="toggleControl" class="mr-8">
      </mat-slide-toggle>
      <mat-icon>bedtime</mat-icon>
    </mat-toolbar>
    <router-outlet></router-outlet>
  </mat-drawer-content>
</mat-drawer-container>
